package org.jboss.soa.qa.modeshape;

import java.util.concurrent.CountDownLatch;

import javax.jcr.observation.Event;
import javax.jcr.observation.EventIterator;
import javax.jcr.observation.EventListener;

public class NodeAddedListener implements EventListener 
{
	private CountDownLatch latch;	
	private String path;
	
	public NodeAddedListener(CountDownLatch latch, String path)
	{
		this.latch = latch;		
		this.path = path;
	}
	
	@Override
	public void onEvent(EventIterator events) 
	{
		try 
		{
			while (events.hasNext())
			{
				Event evt = events.nextEvent();
				String nodePath = evt.getPath();
				if (nodePath.equals(path))
				{
					System.out.println(nodePath + " node found, counting down on latch..");
					latch.countDown();				
				}
			}
		} catch (Throwable t)
		{
			System.out.println("Unexpected throwable caught..");
			t.printStackTrace();
		}

	}
}